Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1439)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1440)
@@ -1914,7 +1914,7 @@
 	public final String getSimpleDetails() {
 		String mess = this.getDetails();
 		if (mess != null)
-			return mess.replace("\n", "  ");
+			return mess.replace("\n", " ").replace("\t", " ");
 
 		return this.toString();
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1439)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1440)
@@ -144,7 +144,7 @@
 	/**
 	 * The SWT parent Composite.
 	 */
-	private Composite parent;
+	protected Composite parent;
 
 	/**
 	 * contains the default bottom toolbars widget
@@ -402,7 +402,7 @@
 			if (this.bottomToolBar.getItems().length == 0) {
 				this.bottomToolBar.dispose();
 			}
-
+			
 			// remove empty toolbar
 			//TODO SJ: Hack? MD: yeah -> need to find a way to not display the bottom toolbar on Windows instead
 			if (this.topToolBar.getItems().length == 0) {
@@ -417,8 +417,9 @@
 			
 			// disable the compute button, it will be re-enable or not later when the UI will check if the editor is dirty or not
 			ToolItem computeButton = this.topToolBar.getItemByContributionId(TOP_TOOLBAR_COMPUTE_BUTTON_ID);
-			computeButton.setEnabled(false);
-
+			if (computeButton != null) {
+				computeButton.setEnabled(false);
+			}
 			
 		} catch(Throwable e) {
 			Log.severe(TXMCoreMessages.bind("TXMEditor.createPartControl(): can not create the editor for result {0}.", this.getResult())); //$NON-NLS-1$
@@ -601,7 +602,9 @@
 		
 		// enable/disable the compute button according to dirty state of the editor
 		ToolItem computeButton = this.topToolBar.getItemByContributionId(TOP_TOOLBAR_COMPUTE_BUTTON_ID); //$NON-NLS-1$
-		computeButton.setEnabled(dirty);
+		if (computeButton !=null) {
+			computeButton.setEnabled(dirty);
+		}
 		
 		
 //		for(Control c : this.topToolBar.getChildren()) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1439)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1440)
@@ -52,6 +52,8 @@
 	 */
 	private HashMap<String, ToolItem> buttons = new HashMap<String, ToolItem>();
 
+	private ToolBarManager manager;
+
 	/**
 	 * 
 	 * The parent layout must be a GridLayout.
@@ -68,7 +70,7 @@
 		this.editorPart = editor;
 		this.subWidgetComposite = subWidgetComposite;
 		// permit to contribute via RCP plugin.xml menu extension
-		ToolBarManager manager = new ToolBarManager(this);
+		manager = new ToolBarManager(this);
 		IMenuService menuService = (IMenuService) this.editorPart.getSite().getService(IMenuService.class);
 		menuService.populateContributionManager(manager, "toolbar:" + toolbarId); //$NON-NLS-1$
 	}
@@ -77,6 +79,10 @@
 	protected void checkSubclass() {
 	}
 
+	public ToolBarManager getToolBarManager() {
+		return manager;
+	}
+	
 	/**
 	 * 
 	 * @return the composite that contains the sub widgets of the toolbar : installed groups, composites.
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 1439)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/StatusLine.java	(revision 1440)
@@ -31,6 +31,7 @@
 import java.util.TimerTask;
 
 import org.eclipse.jface.action.IStatusLineManager;
+import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.widgets.Display;
 
 /**
@@ -57,6 +58,7 @@
 		StatusLine.statusLine = statusline;
 	}
 
+	static int MAX = 50;
 	/**
 	 * Shows a message in the status line.
 	 *
@@ -66,13 +68,18 @@
 		Display.getDefault().syncExec(new Runnable() {
 			@Override
 			public void run() {
-				if (statusLine != null)
-					statusLine.setMessage(null, message);
+				if (statusLine != null) {
+					if (message.length() > MAX) {
+						statusLine.setMessage(null, message.substring(0, MAX)+"...");
+					} else {
+						statusLine.setMessage(null, message);
+					}
+				}
 			}
 		});
 		
-		cancelTimer();
-		scheduleTimer();
+		//cancelTimer();
+		//scheduleTimer();
 	}
 	
 	/**
@@ -133,32 +140,32 @@
 	 * Stops the timer
 	 */
 	private static void cancelTimer() {
-		if (!timerScheduled)
-			return;
-		timerScheduled = false;
-		timer.cancel();
+//		if (!timerScheduled)
+//			return;
+//		timerScheduled = false;
+//		timer.cancel();
 	}
 	
 	/**
 	 * Starts the timer
 	 */
 	private static void scheduleTimer() {
-		if (timerScheduled)
-			return;
-		timerScheduled = true;
-		timer = new Timer();
-		TimerTask timerTask = new TimerTask() {
-			@Override
-			public void run() {
-				Runnable r = new Runnable() {
-					@Override
-					public void run() {
-						StatusLine.setMessage(""); //$NON-NLS-1$
-					}
-				};
-				Display.getDefault().syncExec(r);
-			}	
-		};
-		timer.schedule(timerTask, time);
+//		if (timerScheduled)
+//			return;
+//		timerScheduled = true;
+//		timer = new Timer();
+//		TimerTask timerTask = new TimerTask() {
+//			@Override
+//			public void run() {
+//				Runnable r = new Runnable() {
+//					@Override
+//					public void run() {
+//						StatusLine.setMessage(""); //$NON-NLS-1$
+//					}
+//				};
+//				Display.getDefault().syncExec(r);
+//			}	
+//		};
+//		timer.schedule(timerTask, time);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1439)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1440)
@@ -309,7 +309,6 @@
 				// FIXME: define here what to display
 				String mess = ((TXMResult)selectedItem).getSimpleDetails();
 				if (mess == null) mess = selectedItem.toString();
-
 				StatusLine.setMessage(mess);
 			}
 
